WordPress.org

Ready to get started?Download WordPress

Plugin Directory

xili sIFR3 active

xili-sIFR3-active activate the modules of sIFR3 in your current theme or child theme.

xili-sIFR3-active activate the modules of sIFR3 in your current theme and detect the specific configurations for sIFR3 in your theme or child theme.

prerequisite This first version is for "themes" designer and developer with knowledges about sIFR3 :sIFR3 documentation and Site to generate .swf font files compatible with sIFR3.

The plugin provide a dynamic way to activate the sIFR3 .js and .css file in the selected pages by you through a function in the functions.php of your current theme. (see below)

the files and folders in plugin and in theme's folder

sIFR3 need a series of file (.js and .css). With the font's swf files, two (sifr.css - sifr-config.js) must be adapted for your site and his look. The plugin search both files at first step in the current theme (in a "js" folder for .js and in a "sifr3" for .css). If not present, it search in "wp-js" folder in plugin folder. (here added not to disturb the original sIFR3 folder and sub-folders ; here tested with sifr3-r436). xili-sIFR3-active provide a way through a VAR to give folder place to java-scripts.

Example of function added in functions.php file of your theme: (in this case, adding sifr header files are only added in front-page... in the demo page, the selection is done through: in_category() and is_single()

function is_sifr3_intheme(){
    if (is_front_page()) 
            return true;
    return false;
}

Examples of line added in sifr-config-js file to keep path values VAR:

in default plugin sub-folder wp-js:

var rockwell = { 
            src: pluginfolder + '/wp-js/rockwell.swf'

in your theme sub-folder js :

var rockwell = { 
            src: themefolder + '/js/rockwell.swf'

The best is to have a sifr-config specially attached for your specific theme.

Requires: 2.7.0 or higher
Compatible up to: 3.5.2
Last Updated: 2013-5-25
Downloads: 2,519

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1